Documentation Index
Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
UUID of the post to retrieve.
GET /v1/social/posts/:id — Retrieve a single social post by ID.
Documentation Index
Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
curl https://api.usenaive.ai/v1/social/posts/post-uuid \
-H "Authorization: Bearer nv_sk_live_..."
{
"id": "post-uuid",
"title": "Announcing Naive v2",
"content": "We just launched Naive v2 — the all-in-one API for social, email, domains, and AI media.",
"platforms": ["TWITTER", "LINKEDIN"],
"platform_data": {
"TWITTER": { "text": "We just launched Naive v2 — the all-in-one API..." },
"LINKEDIN": { "text": "We just launched Naive v2 — the all-in-one API for social, email, domains, and AI media." }
},
"upload_ids": ["media-uuid"],
"status": "published",
"bundle_post_id": "bundle-uuid",
"scheduled_at": null,
"posted_at": "2026-05-04T08:30:05Z",
"error": null,
"analytics": null,
"created_at": "2026-05-04T08:30:00Z",
"updated_at": "2026-05-04T08:30:05Z"
}
curl https://api.usenaive.ai/v1/social/posts/post-uuid \
-H "Authorization: Bearer nv_sk_live_..."
{
"id": "post-uuid",
"title": "Announcing Naive v2",
"content": "We just launched Naive v2 — the all-in-one API for social, email, domains, and AI media.",
"platforms": ["TWITTER", "LINKEDIN"],
"platform_data": {
"TWITTER": { "text": "We just launched Naive v2 — the all-in-one API..." },
"LINKEDIN": { "text": "We just launched Naive v2 — the all-in-one API for social, email, domains, and AI media." }
},
"upload_ids": ["media-uuid"],
"status": "published",
"bundle_post_id": "bundle-uuid",
"scheduled_at": null,
"posted_at": "2026-05-04T08:30:05Z",
"error": null,
"analytics": null,
"created_at": "2026-05-04T08:30:00Z",
"updated_at": "2026-05-04T08:30:05Z"
}